[EPIC] Improve the multi-lingual experience on the Android app
Closed, ResolvedPublic

Description

Overview

Goal

Enable multilingual readers to more easily access and read content in multiple languages.

User stories

As a multilingual reader, when using the Wikipedia app, I want to...

  1. ...allow all languages I read to be set up in the app, so that I can access feed content in all the different languages in which I read Wikipedia.
  2. ...be able to quickly search across languages, so that I can easily find articles in all Wikipedia languages I read.
  3. ...be shown all relevant search results for articles in all languages I understand, so that I can quickly access the content (saving time spent on searching and navigating through articles).

Rationale (Why are we doing this)

  • Better supports a significant minority of multilingual users. Data obtained from the iOS app (which already enables user selection of multiple languages) shows that around ~10% of users switching between the language in their searches daily.
  • Improves access to more content for New readers. Many Indian New readers read content in English as well as in their native Indic languages. [1] This would allowing such users to access content across the various languages more easily.
  • Builds a foundation to enable content translation contributions on Mobile. There are plans for example to extend the Content Translation feature to mobile. [2]

Core tasks

The following may be broken up into further sub-tasks.


Links

[0] Design brief (extended version of task description): https://docs.google.com/presentation/d/1q1kiRLBtwh8KZvRkP5WXqADJPVYBCZO_VK4S2cC7Tq8/edit#slide=id.p
[1] https://meta.wikimedia.org/wiki/New_Readers/Findings/India
[2] https://www.mediawiki.org/wiki/Content_translation/Roadmap/2017%E2%80%932018

Related Objects

StatusAssignedTask
ResolvedNone
DeclinedNone
DeclinedNone
ResolvedNiedzielski
DuplicateNone
DuplicateNone
ResolvedMholloway
DuplicateNone
DeclinedRHo
Resolvedcooltey
Resolvedcooltey
ResolvedDbrant
ResolvedDbrant
Resolvedcooltey
ResolvedRHo
ResolvedDbrant
Resolvedcooltey
ResolvedSharvaniharan
OpenNone
ResolvedDbrant
ResolvedDbrant
ResolvedMholloway
ResolvedMholloway
OpenNone
ResolvedDbrant
ResolvedSharvaniharan
DuplicateNone
ResolvedSharvaniharan
ResolvedSharvaniharan
ResolvedSharvaniharan
ResolvedbearND
RHo created this task.Mar 15 2017, 8:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2017, 8:05 PM
RHo claimed this task.Mar 6 2018, 3:02 PM
RHo raised the priority of this task from High to Needs Triage.
RHo renamed this task from Improve the multi-lingual experience on the Android app to [EPIC] Improve the multi-lingual experience on the Android app.Mar 26 2018, 5:00 PM
RHo updated the task description. (Show Details)
RHo updated the task description. (Show Details)
RHo updated the task description. (Show Details)Apr 2 2018, 6:38 PM
RHo updated the task description. (Show Details)
RHo updated the task description. (Show Details)Apr 3 2018, 2:23 PM
RHo updated the task description. (Show Details)Apr 3 2018, 4:22 PM
Amire80 added a subscriber: Amire80.Apr 5 2018, 6:35 AM
RHo updated the task description. (Show Details)Apr 6 2018, 3:08 PM
RHo closed this task as Resolved.Aug 22 2018, 6:57 PM
RHo removed RHo as the assignee of this task.